当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 装上了8.10无法安装gw6c
帖子发表于 : 2008-11-02 13:02 

注册: 2007-04-08 13:22
帖子: 107
送出感谢: 0 次
接收感谢: 0 次
gcc,g++,libc6-dev,libssl-dev,这些必须的软件都安装了,但是还是无法顺利安装,在8.04的时候可以安装的,不知道是什么原因。
代码:
purpleboy@purpleboy-laptop:~$ cd ./gw6c/tspc-advanced
purpleboy@purpleboy-laptop:~/gw6c/tspc-advanced$ sudo make target=linux
[sudo] password for purpleboy:
mkdir -p bin
mkdir -p objs
Building gw6c-config module in ../gw6c-config/
make[1]: 正在进入目录 `/home/purpleboy/gw6c/gw6c-config'
make[2]: 正在进入目录 `/home/purpleboy/gw6c/gw6c-config'
mkdir -p objects
g++ -c -I. -O2 -Wall -DNDEBUG   -o objects/namevalueparser.o src/namevalueparser.cc
src/namevalueparser.cc: In member function ‘virtual bool gw6cconfig::NameValueParser::ReadConfigurationData(const std::string&)’:
src/namevalueparser.cc:136: 错误: ‘memset’在此作用域中尚未声明
src/namevalueparser.cc:177: 错误: ‘strtok’在此作用域中尚未声明
src/namevalueparser.cc: In member function ‘virtual bool gw6cconfig::NameValueParser::WriteConfigurationData(const std::string&)’:
src/namevalueparser.cc:259: 错误: ‘strlen’在此作用域中尚未声明
src/namevalueparser.cc:259: 错误: ‘strncmp’在此作用域中尚未声明
make[2]: *** [objects/namevalueparser.o] 错误 1
make[2]:正在离开目录 `/home/purpleboy/gw6c/gw6c-config'
make[1]: *** [export] 错误 2
make[1]:正在离开目录 `/home/purpleboy/gw6c/gw6c-config'
make: *** [check-gw6cconfig] 错误 2


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 装上了8.10无法安装gw6c
帖子发表于 : 2008-11-14 16:36 

注册: 2006-06-24 20:03
帖子: 101
送出感谢: 0 次
接收感谢: 0 次
编辑这个文件
gw6c-config/src/gw6cconfig.cc

把引用的头文件改成这样:

代码:
#include <gw6cconfig/gw6cconfig.h>
#include <gw6cconfig/gw6cvalidation.h>
#include <gw6cconfig/gw6cuistrings.h>
#include <assert.h>
#include <string.h>
#include <stdlib.h>


就可以了


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 装上了8.10无法安装gw6c
帖子发表于 : 2008-11-30 2:06 
头像

注册: 2007-08-17 22:28
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
遇到了同样的问题,按2楼的方法似乎还是不行呢。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译